Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 177484 - Split into libnotify and libnotify-devel
Summary: Split into libnotify and libnotify-devel
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libnotify
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2006-01-11 01:07 UTC by Dave Malcolm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-12 18:37:15 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2006-01-11 01:07:02 UTC
Description of problem:
Shouldn't libnotify be split out so there's a separate libnotify-devel subpackage?

IIRC it should contain the headers and the .pc file, plus the unversioned .so
symlink (but not the versioned symlink or the .so file itself) 

Version-Release number of selected component (if applicable):
libnotify-0.3.0-2

Comment 1 Ray Strode [halfline] 2006-01-11 16:45:05 UTC
This is definitely something that should get fixed from an aestetics point of
view, but it's not something that has to get fixed by FC5.  It's one of those
really, really nice to have kind of fixes.

Moving to target and assigning to caillon.

Comment 2 Dave Malcolm 2006-01-11 19:50:34 UTC
(would be nice to have some gtk-doc documentation and devhelp metadata in the
devel package as well :-)

Comment 3 Christopher Aillon 2006-01-12 18:37:15 UTC
the split is done.  file bugs on other things the -devel package should have


Note You need to log in before you can comment on or make changes to this bug.